Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29871 - there is no way to distinguish Ant 1.4.1 and Ant 1.5 documentation modules
there is no way to distinguish Ant 1.4.1 and Ant 1.5 documentation modules
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Ant
3.x
PC Windows ME/2000
: P3 (vote)
: TBD
Assigned To: issues@projects
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-08 14:18 UTC by vanob
Modified: 2005-07-15 07:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
update center screenshot (60.01 KB, image/jpeg)
2003-01-15 07:37 UTC, vanob
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vanob 2003-01-08 14:18:47 UTC
After changing au interface 
it's not possible to distinguish to ant doc modules
they have the same name.
Comment 1 Jesse Glick 2003-01-13 14:35:55 UTC
Could you be specific please? You are running NB 3.4 release I assume?
Which update server(s) do you connect to and what precisely do you see?
Comment 2 David Konecny 2003-01-13 15:02:02 UTC
Before reorganization of NB AU there used to be two modules:
1.) "Ant Documentation (for Ant 1.4.1)"
2.) "Ant Documentation (for Ant 1.5.1)"
and now there is just newer version of Ant documentation. (I just
tried it with NB3.4). Downloading it forces user to upgrade Ant to
1.5.1, because documentation module depends on the newer version of
Ant module. That's reason why I put on the AU both versions - users of
NB3.4 which do not want to update Ant but need documentation could
still download #1.
Comment 3 vanob 2003-01-15 07:36:35 UTC
Steps to reproduce:

1. run Netbeans3.4 with empty userdir
2. run update center
3. I'm attaching picture of what user will see.
4. It's hardly possible to distinguish two Ant Documentation Modules

I know that there were two Ant Documentation Modules 1.4.1 and 1.5
and I managed to distinguish this two modules by version  and size,
but I think it should be more intuitive.

possible solution:
Instead of two titles : Ant Documentation there might be
Ant Documentation 1.4.1 
Ant Documentation 1.5
Comment 4 vanob 2003-01-15 07:37:56 UTC
Created attachment 8574 [details]
update center screenshot
Comment 5 Jesse Glick 2003-01-15 15:28:41 UTC
Agreed; probably the display names for both the Ant and Ant
Documentation modules should include the version number of Ant, since
they are bundling it.
Comment 6 David Konecny 2003-01-17 10:14:46 UTC
Fixed in the trunk:

Checking in src/org/apache/tools/ant/module/docs/Bundle.properties
new revision: 1.3; previous revision: 1.2

I'm going to build "Ant 1.4.1 Documentation" module from release34
branch and "Ant 1.5.1 Documentation" module from release341 branch and
put them both on the AU. Once they are there I will close this issue.
Comment 7 rnovak 2003-01-20 15:26:56 UTC
New version of modules were published on the autoupdate.
Comment 8 Marian Mirilovic 2005-07-15 07:43:40 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo